Update an order
Partial update — send only the fields to change. PUT is also accepted with identical merge semantics for backward compatibility.
Only address, external ID, (and, if supported in your account) custom shipping or shipping preferences (carrier, service_level, signature_confirmation) can be updated. Shipping details can only be updated if in certain statuses. (Orders that are verified are already in the shipping process, and those shipped or delivered are completed.)
By passing update_patient=true, the address will also update the patient’s address in the same request. Otherwise only the order’s address will be updated.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for the order, either UUID, order number (e.g. ORD250312003548IAU4), or external ID (e.g. my-system-128318AA2) if you have provided one during order creation or a prior update.
Query Parameters
Whether to update the patient's address. Default is false.
true
Body
Custom shipping details for the order. Your account must have custom shipping enabled to use this field.
External (your own system's) ID to associate with the order.
"my-system-128318AA2"
Shipping preferences for the order. Please ensure you have established the ability to use this feature with Blend administrators before using.
You may provide any combination of fields. If you provide a "generic" service_level only, we will use the most appropriate carrier to match the service level. If you provide both carrier and service_level, your service_level prefix ("usps_") must match your carrier.
On update, omitted fields are left unchanged. Send signature_confirmation: null to clear a previously set signature preference. Sending carrier and/or service_level without signature_confirmation does not clear signature.
Available carriers and service levels can be found in the Shipping Options endpoint.
Response
Order updated successfully
Unique identifier
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time of creation
"2025-03-15T12:00:00Z"
Date and time of last update
"2025-03-15T12:00:00Z"
Custom shipping details for the order if your account has custom shipping enabled, and you have provided prepaid label details.
"b658f16f-819c-4503-aede-bd555fc4ebfb"
External (your own system's) ID associated with the order.
"my-system-128318AA2"
Whether the order is a replacement order
false
Friendlier identifier for the order. Auto-generated.
"ORD250312003548IAU4"
ID of the original order, if this is a replacement order
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Number of prescriptions associated with the order (expected to be the same as the number of prescription products in the products object)
1
Whether the order has a priority request
false
Whether the customer has requested cancellation for an order in picked or verified status
false
IDs of any replacement orders, if they have been created from this order
If this is a replacement order, reason for the replacement
"Product arrived damaged"
Whether the order has a replacement request. This field is deprecated and will be removed in a future version. Please use replacement_request_status instead.
false
Status of the replacement request
pending, fulfilled, declined, cancelled "pending"
Date and time a replacement request was made
"2025-01-01T00:00:00Z"
Reason for the replacement request
"Product arrived damaged"
Order status. One of received, picked, verified, exception, paused, shipped, delivered, cancelled, returned.
"received"
When an order is paused, midnight UTC of the pause-until calendar day. The order automatically unpauses when this date is reached. null when the pause is indefinite or the order is not paused.
"2026-08-07T00:00:00"